Loading...
Searching...
No Matches
QXmppThumbnail Class Reference

## Public Member Functions

| QXmppThumbnail ()
| Default constructor.
| QXmppThumbnail (const QXmppThumbnail &)
| Default copy-constructor.
| QXmppThumbnail (QXmppThumbnail &&) noexcept
| Default move-constructor.
QXmppThumbnail & | operator= (const QXmppThumbnail &)
| Default assignment operator.
QXmppThumbnail & | operator= (QXmppThumbnail &&) noexcept
| Default move-assignment operator.
const QString & | uri () const
| Returns the URI with the location for the data (usually a XEP-0231: Bits of Binary content ID)
void | setUri (const QString &newUri)
| Sets the URI with the location for the data (usually a XEP-0231: Bits of Binary content ID)
const QMimeType & | mediaType () const
| Returns the MIME type of the thumbnail data.
void | setMediaType (const QMimeType &)
| Sets the MIME type of the thumbnail data.
std::optional< uint32_t > | width () const
| Returns the width of the thumbnail image.
void | setWidth (std::optional< uint32_t >)
| Sets the width of the thumbnail image.
std::optional< uint32_t > | height () const
| Returns the height of the thumbnail image.
void | setHeight (std::optional< uint32_t >)
| Sets the height of the thumbnail image.

## Detailed Description

Thumbnail from XEP-0264: Jingle Content Thumbnails.

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppThumbnail.h
- QXmppThumbnail.cpp